Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::MultiTermDocs Class Reference

`#include <DirectoryReader.h>`

Inheritance diagram for Lucene::MultiTermDocs:

## Public Member Functions

| MultiTermDocs (const IndexReaderPtr &topReader, Collection< IndexReaderPtr > r, Collection< int32_t > s)
virtual | ~MultiTermDocs ()
virtual String | getClassName ()
boost::shared_ptr< MultiTermDocs > | shared_from_this ()
virtual int32_t | doc ()
| Returns the current document number.
virtual int32_t | freq ()
| Returns the frequency of the term within the current document.
virtual void | seek (const TermPtr &term)
| Sets this to the data for a term.
virtual void | seek (const TermEnumPtr &termEnum)
| Sets this to the data for the current term in a `TermEnum`.
virtual bool | next ()
| Moves to the next pair in the enumeration.
virtual int32_t | read (Collection< int32_t > &docs, Collection< int32_t > &freqs)
| Attempts to read multiple entries from the enumeration, up to length of docs. Optimized implementation.
virtual bool | skipTo (int32_t target)
| Skips entries to the first beyond the current whose document number is greater than or equal to target.
virtual void | close ()
| Frees associated resources.
Public Member Functions inherited from Lucene::TermPositions
virtual | ~TermPositions ()
virtual int32_t | nextPosition ()
| Returns next position in the current document. It is an error to call this more than `freq()` times without calling `next()`. This is invalid until `next()` is called for.
virtual int32_t | getPayloadLength ()
| Returns the length of the payload at the current term position. This is invalid until `nextPosition()` is called for the first time.
virtual ByteArray | getPayload (ByteArray data, int32_t offset)
| Returns the payload data at the current term position. This is invalid until `nextPosition()` is called for the first time. This method must not be called more than once after each call of `nextPosition()`. However, payloads are loaded lazily, so if the payload data for the current position is not needed, this method may not be called at all for performance reasons.
virtual bool | isPayloadAvailable ()
| Checks if a payload can be loaded at this position. Payloads can only be loaded once per call to `nextPosition()`.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermPositions
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermDocs
static String | _getClassName ()

## Protected Member Functions

virtual TermDocsPtr | termDocs (int32_t i)
virtual TermDocsPtr | termDocs (const IndexReaderPtr &reader)
Protected Member Functions inherited from Lucene::TermPositions
| TermPositions ()
Protected Member Functions inherited from Lucene::TermDocs
| TermDocs ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

IndexReaderWeakPtr | _topReader
Collection< IndexReaderPtr > | readers
Collection< int32_t > | starts
TermPtr | term
int32_t | base
int32_t | pointer
Collection< TermDocsPtr > | readerTermDocs
TermDocsPtr | current
MultiTermEnumPtr | tenum
int32_t | matchingSegmentPos
SegmentMergeInfoPtr | smi
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ MultiTermDocs()

Lucene::MultiTermDocs::MultiTermDocs | ( | const IndexReaderPtr & | topReader,
|  | Collection< IndexReaderPtr > | r,
|  | Collection< int32_t > | s
| ) |  |

## ◆ ~MultiTermDocs()

virtual Lucene::MultiTermDocs::~MultiTermDocs | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::MultiTermDocs::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::MultiTermDocs::close | ( |  | ) |

virtual

Frees associated resources.

Implements Lucene::TermDocs.

## ◆ doc()

virtual int32_t Lucene::MultiTermDocs::doc | ( |  | ) |

virtual

Returns the current document number.

Implements Lucene::TermDocs.

## ◆ freq()

virtual int32_t Lucene::MultiTermDocs::freq | ( |  | ) |

virtual

Returns the frequency of the term within the current document.

Implements Lucene::TermDocs.

## ◆ getClassName()

virtual String Lucene::MultiTermDocs::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermPositions.

Reimplemented in Lucene::MultiTermPositions.

## ◆ next()

virtual bool Lucene::MultiTermDocs::next | ( |  | ) |

virtual

Moves to the next pair in the enumeration.

Implements Lucene::TermDocs.

## ◆ read()

virtual int32_t Lucene::MultiTermDocs::read | ( | Collection< int32_t > & | docs,
|  | Collection< int32_t > & | freqs
| ) |  |

virtual

Attempts to read multiple entries from the enumeration, up to length of docs. Optimized implementation.

Implements Lucene::TermDocs.

## ◆ seek() [1/2]

virtual void Lucene::MultiTermDocs::seek | ( | const TermEnumPtr & | termEnum | ) |

virtual

Sets this to the data for the current term in a `TermEnum`.

Implements Lucene::TermDocs.

## ◆ seek() [2/2]

virtual void Lucene::MultiTermDocs::seek | ( | const TermPtr & | term | ) |

virtual

Sets this to the data for a term.

Implements Lucene::TermDocs.

## ◆ shared_from_this()

boost::shared_ptr< MultiTermDocs > Lucene::MultiTermDocs::shared_from_this | ( |  | ) |

inline

## ◆ skipTo()

virtual bool Lucene::MultiTermDocs::skipTo | ( | int32_t | target | ) |

virtual

Skips entries to the first beyond the current whose document number is greater than or equal to target.

Implements Lucene::TermDocs.

## ◆ termDocs() [1/2]

virtual TermDocsPtr Lucene::MultiTermDocs::termDocs | ( | const IndexReaderPtr & | reader | ) |

protected virtual

Reimplemented in Lucene::MultiTermPositions.

## ◆ termDocs() [2/2]

virtual TermDocsPtr Lucene::MultiTermDocs::termDocs | ( | int32_t | i | ) |

protected virtual

## Field Documentation

## ◆ _topReader

IndexReaderWeakPtr Lucene::MultiTermDocs::_topReader

protected

## ◆ base

int32_t Lucene::MultiTermDocs::base

protected

## ◆ current

TermDocsPtr Lucene::MultiTermDocs::current

protected

## ◆ matchingSegmentPos

int32_t Lucene::MultiTermDocs::matchingSegmentPos

protected

## ◆ pointer

int32_t Lucene::MultiTermDocs::pointer

protected

## ◆ readers

Collection<IndexReaderPtr> Lucene::MultiTermDocs::readers

protected

## ◆ readerTermDocs

Collection<TermDocsPtr> Lucene::MultiTermDocs::readerTermDocs

protected

## ◆ smi

SegmentMergeInfoPtr Lucene::MultiTermDocs::smi

protected

## ◆ starts

Collection<int32_t> Lucene::MultiTermDocs::starts

protected

## ◆ tenum

MultiTermEnumPtr Lucene::MultiTermDocs::tenum

protected

## ◆ term

TermPtr Lucene::MultiTermDocs::term

protected

The documentation for this class was generated from the following file:

- DirectoryReader.h

clucene.sourceforge.net